# Bonita Admin Application

This repository aggregates all the development and distribution artifacts of the Bonita Admin Application

## Development

* /applications contains the .bos version of the app descriptor. In this version, the UID pages tokens contain the version of the page because the UID pages are rebuilt by Bonita Studio when deploying the pages and so the pages token must match the page tokens declared in the page.properties generated by the UID (custompage_*).
* /bonita-distrib contain the distribution version of the app descriptor. In the distribution, page.properties do not contain the version of the page. This way, in the apps we provide there is no migration step required on the apps when the page has been updated in the new version.

## Build 

Run `./mvnw clean verify` in a terminal. The result of the build is in the `target` folder:
* a .bos archive to import in Bonita Studio
* a zip file containing the application descriptor and the application icon
* a zip "with-resources" containing the application descriptor, icon and the pages it relies on 

## .bos Application content

* An application descriptor for the Bonita Admin Application
* The Bonita layout as a development artifact
* The UI Designer pages development artifacts
The application pages that are not designed with the UI Designer are already embedded in the Runtime bundle.

In addition to development pages, you may also customize the default Bonita theme just by creating a new Theme in the Studio.
By the default the Bonita theme is used as starting point, so you just have to update the theme id in the application descriptor with your custom theme id.
